import { r as registerInstance, h, H as Host } from './index-b6f10a81.js';
import './BaseField-d94c5b14.js';
import './_commonjsHelpers-63c253cd.js';
import './kimlikApi-81acfec6.js';
import './data-transfer-field-1ad95e08.js';
import './filter-cbaa3d7d.js';
import { C as CookieStorage } from './cookie-d9098150.js';
import { p as prod } from './services-fc4ce8f3.js';
import { D as DamgaApi } from './damga-api-6ceeb128.js';

const DevingenProductRootDamga = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    const jwt = new CookieStorage().getAll().jwt;
    const headers = {
      Authorization: jwt ? `Bearer ${new CookieStorage().getAll().jwt}` : undefined,
    };
    this.apiDamga = new DamgaApi(`${prod.damga}/${prod.base}`, headers);
  }
  render() {
    const { apiDamga, apiData, product, products, workspaceOwnerships } = this;
    return (h(Host, null, h("devingen-product-damga-domains", { apiDamga: apiDamga, apiData: apiData, product: product, products: products, workspaceOwnerships: workspaceOwnerships })));
  }
};

export { DevingenProductRootDamga as devingen_product_root_damga };
